Fetch the current memory usage of the Lua environment

- « LuaSandbox::getCPUUsage

- LuaSandbox::getPeakMemoryUsage »

- PHP Manual
- LuaSandbox
- Fetch the current memory usage of the Lua environment

# LuaSandbox::getMemoryUsage

(PECL luasandbox >= 1.0.0)

LuaSandbox::getMemoryUsage — Fetch the current memory usage of the Lua environment

### Description

public LuaSandbox::getMemoryUsage(): int

Fetches the current memory usage of the Lua environment.

### Parameters

This function has no parameters.

### Return Values

Returns the current memory usage in bytes.

### See Also

- LuaSandbox::getPeakMemoryUsage() - Fetch the peak memory usage of the Lua environment
- LuaSandbox::getCPUUsage() - Fetch the current CPU time usage of the Lua environment
- LuaSandbox::setMemoryLimit() - Set the memory limit for the Lua environment